
!UiItemViewport methodsFor: 'selection' stamp: 'mt 10/10/2010 20:13:12.402'!
selectionBehavior

	^ selectionBehavior ifNil: [selectionBehavior := #selectRows]! !

!UiViewColumnInfo methodsFor: 'initialization' stamp: 'mt 10/10/2010 12:52:07.405'!
initialize

	super initialize.
	self resize: 150.! !

!UiTableView methodsFor: 'accessing - private' stamp: 'mt 10/14/2010 13:39:14.187'!
viewportClass

	^ UiItemViewport! !

Object subclass: #UiViewInfo
	instanceVariableNames: 'size items resizeMode headerItem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Widgets-Views'!

!UiAbstractItemView methodsFor: 'initialization' stamp: 'mt 10/14/2010 12:10:54.535'!
initialize

	"Initialize headers."
	verticalHeader := Morph new color: Color transparent; width: self scrollBarThickness; changeTableLayout; listDirection: #topToBottom.
	horizontalHeader := Morph new color: Color transparent; height: self scrollBarThickness; changeTableLayout; listDirection: #leftToRight.
	vHeaderScroller := TransformMorph new color: Color transparent.
	hHeaderScroller := TransformMorph new color: Color transparent.

	super initialize.
	
	self
		borderWidth: 0;
		color: Color white.
	
	"Initialize viewport."
	self scroller addMorph: self viewportClass new.
	self connect: self viewport signal: #focusChanged: toSelector: #scrollToShow:.
	self viewport verticalHeader: verticalHeader.
	self viewport horizontalHeader: horizontalHeader.
	
	"Initialize item delegates."
	itemDelegates := Dictionary new.
	itemDelegates at: #default put: UiSimpleItemDelegate new.
	
	"Initialize headers - Finish."
	verticalHeader connect: self viewport signal: #resizedToWidth:height: toSelector: #height: pattern: #(2).
	vHeaderScroller addMorph: verticalHeader.

	horizontalHeader connect: self viewport signal: #resizedToWidth:height: toSelector: #width:.
	hHeaderScroller addMorph: horizontalHeader.! !

!UiAbstractItemView methodsFor: 'accessing - private' stamp: 'mt 10/7/2010 17:39:54.815'!
viewport
	"Return the morph that is scrolled."
	
	^ self scroller submorphs first! !

UiAbstractItemView subclass: #UiListView2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Widgets-Views'!

!UiListView2 methodsFor: 'as yet unclassified' stamp: ''!
viewportClass
	^ UiListViewport! !

!UiViewRowInfo methodsFor: 'initialization' stamp: 'mt 10/10/2010 12:51:55.334'!
initialize

	super initialize.
	self resize: Preferences standardListFont height.! !
